## ros-melodic-create-driver 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(create_driver)

add_compile_options(-Wall -Wextra -Wpedantic)

find_package(libcreate REQUIRED)

find_package(catkin REQUIRED COMPONENTS
  create_msgs
  diagnostic_msgs
  diagnostic_updater
  geometry_msgs
  nav_msgs
  roscpp
  roslint
  sensor_msgs
  std_msgs
  tf2_geometry_msgs
  tf2_ros
)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS
    create_msgs
    diagnostic_msgs
    diagnostic_updater
    geometry_msgs
    nav_msgs
    roscpp
    sensor_msgs
    std_msgs
    tf2_geometry_msgs
    tf2_ros
  DEPENDS libcreate
)

roslint_cpp()
roslint_add_test()

include_directories(
  include
  ${libcreate_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

add_executable(${PROJECT_NAME} src/${PROJECT_NAME}.cpp)

target_link_libraries(${PROJECT_NAME}
  ${libcreate_LIBRARIES}
  ${catkin_LIBRARIES}
)

add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

=== debian/changelog ===
ros-melodic-create-driver (2.0.0-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 09 May 2023 03:26:22 -0000

ros-melodic-create-driver (1.3.0-1bionic) bionic; urgency=high

  * Add explicit dependency on catkin_EXPORTED_TARGETS
    
    This ensures ca_msgs is built before ca_driver.
  * Migrate to package.xml format 2
    
    Minor linting to package files.
  * Add roslint test and fix lint issues
  * find_package libcreate instead of downloading as external project
  * Add support for defining and playing songs
  * Update install rules
  * Refactor launch files and expose robot base and odometry frame IDs as parameters
  * Refactor CMakeLists.txt and package.xml files and add missing install rules
  * Contributors: Clyde McQueen, Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Sun, 10 Jun 2018 07:00:00 -0000

ros-melodic-create-driver (1.2.0-1bionic) bionic; urgency=high

  * Add support for more than two robot models and fix compiling with latest changes from libcreate.
  * Contributors: Ben Wolsieffer

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 07 Oct 2016 07:00:00 -0000

ros-melodic-create-driver (1.1.0-1bionic) bionic; urgency=high

  * Add diagnostics (Battery, Safety, Serial, Mode, Driver)
  * Refactor URDF to support differences between Create 1 and 2, while using a common base.
  * Include a mesh for the Create 1, borrowed from turtlebot_create.
  * Update launch files to support Create 1.
  * Publish JointState messages for the wheels.
  * Contributors: Ben Wolsieffer, Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Sat, 23 Jul 2016 07:00:00 -0000

ros-melodic-create-driver (1.0.1-1bionic) bionic; urgency=high

  * Get pose covariance from underlying library
  * Make publishing TF (odom frame) optional
  * Add launch file argument making description optional
  * Update libcreate tag, with odometry patch
  * Add git as build dependency
  * Move ChargingState publisher with other battery state information
  * Add Bumper message with contact sensor states and light sensor states
  * Add header to all custom message types
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 24 May 2016 07:00:00 -0000

ros-melodic-create-driver (1.0.0-1bionic) bionic; urgency=high

  * Update libcreate git tag
  * Rename variables according to ROS cpp style guide
  * Run clang-format
  * Fix typo
  * Add ca_description as runtime dependency to ca_driver
  * Change message type of various battery info topics
  * Add ChargingState and Mode messages
  * Add charging state and mode publishers
  * Add 'ca_msgs' package
  * Update ca_driver README.md
  * Rename 'create_driver' and 'create_tools' to 'ca_driver' and 'ca_tools'
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 01 Apr 2016 07:00:00 -0000

ros-melodic-create-driver (0.4.0-1bionic) bionic; urgency=high

  * Add timestamp to odometry message
  * Update libcreate tag (with odometry fix)
  * Fix sign error for battery current and temperature
  * Update tag for libcreate
  * Add delay before starting dock demo in case of Create 1
  * Compute and publish battery charge ratio
  * Add README.md for create_driver
  * Add support for Create 1
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Sat, 26 Mar 2016 07:00:00 -0000

ros-melodic-create-driver (0.3.0-1bionic) bionic; urgency=high

  * Add dock / undock support
  * Publish characters received by omni directional IR sensor
  * Add battery info support
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 17 Mar 2016 07:00:00 -0000

ros-melodic-create-driver (0.2.0-1bionic) bionic; urgency=high

  * Add covariances to odometry messages
  * Add set 7Seg display with ASCII
  * Add LED support
  * Add publishers for button presses
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 03 Mar 2016 08:00:00 -0000

ros-melodic-create-driver (0.1.0-1bionic) bionic; urgency=high

  * Fixed bugs: Private nodehandle now gets params, added missing timestamp to tf messages
  * Added tf broadcaster for odom frame
  * Added CI (travis)
  * Now publishing velocities in odom messages
  * Added anti-latch mechanism
  * Switch to using node handle with private namespace for parameters only
  * Velocity commands now accepted in m/s
  * Updated launch file
  * Initial commit
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 05 Feb 2016 08:00:00 -0000

=== debian/control ===
Source: ros-melodic-create-driver
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-create-msgs, ros-melodic-diagnostic-msgs, ros-melodic-diagnostic-updater, ros-melodic-geometry-msgs, ros-melodic-libcreate, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-roslint, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros
Homepage: http://wiki.ros.org/create_driver
Standards-Version: 3.9.2

Package: ros-melodic-create-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-create-msgs, ros-melodic-diagnostic-msgs, ros-melodic-diagnostic-updater, ros-melodic-geometry-msgs, ros-melodic-libcreate, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros
Description: ROS driver for iRobot's Create and Roomba platforms, based on libcreate

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-create-driver//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
